Package uk.ac.starlink.registry

# Class BasicCapability

java.lang.Object
uk.ac.starlink.registry.BasicCapability

public class BasicCapability extends Object
Describes a service capability interface belonging to a registry resource. This typically provides an access URL at which the service can be found, as well as some other metadata.

This class conflates the concepts of Capability and Interface. In VOResource 1.0 the Capability:Interface relationship is one:many, but in practice it is, as far as I can see, nearly always one:one. In the case of finding an actual one:many relationship, we just use multiple `BasicCapability` objects all related to the same Capability.

Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`BasicCapability()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccessUrl()`
Returns the access URL.
`String`
`getDescription()`
Returns a textual description of this capability.
`String`
`getStandardId()`
Returns the standard ID which defines what sort of service this capability is offering.
`String`
`getVersion()`
Returns a version string associated with this capability.
`String`
`getXsiType()`
Returns the xsi:type of this capability.
`void`
`setAccessUrl(String accessUrl)`
Sets the access URL.
`void`
`setDescription(String description)`
Sets the description.
`void`
`setStandardId(String standardId)`
Sets the standard ID.
`void`
`setVersion(String version)`
Sets the version.
`void`
`setXsiType(String xsiType)`
Sets the xsi:type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicCapability

public BasicCapability()

## Method Details

### setAccessUrl

public void setAccessUrl(String accessUrl)
Sets the access URL.

Parameters:
  `accessUrl` - access URL

### getAccessUrl

public String getAccessUrl()
Returns the access URL.

Returns:
  access URL

### setStandardId

public void setStandardId(String standardId)
Sets the standard ID.

Parameters:
  `standardId` - standard ID identifier URI

### getStandardId

public String getStandardId()
Returns the standard ID which defines what sort of service this capability is offering.

Returns:
  standard ID identifier URI

### setXsiType

public void setXsiType(String xsiType)
Sets the xsi:type.

Parameters:
  `xsiType` - capability/@xsi:type

### getXsiType

public String getXsiType()
Returns the xsi:type of this capability. This seems to provide similar information to that in the standardId, but these fields may be used in different ways by different registries.

Returns:
  capability/@xsi:type

### setDescription

public void setDescription(String description)
Sets the description.

Parameters:
  `description` - description

### getDescription

public String getDescription()
Returns a textual description of this capability.

Returns:
  description

### setVersion

public void setVersion(String version)
Sets the version.

Parameters:
  `version` - version string

### getVersion

public String getVersion()
Returns a version string associated with this capability.

Returns:
  version